<html>
<head>
<title>Pie - Historique des versions - 15/11/2007</title>
<style type="text/css">
    body {background: white; background-color: white; font-size: x-small; font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; }
    h2 {color: #000088; letter-spacing: 2px; }
    h2.title {letter-spacing: 5px; text-align: center; }
    h3 {color: #000088; }
    h3.subtitle {color: #0000cc; letter-spacing: 2px; text-align: center; }
    h4 {color: #0000cc; }
</style>
</head>

<body>

<h2 class="title">Pie - Prestations Internes & Externes</h2>
<h3 class="subtitle">Historique des versions</h3>

<hr size=1>

<h2>v1.2.0 (15/11/2007)</h2>
<h3>BD: v1.2.0</h3>
<h4>Corrections :</h4>
    <ul>
	<li> Correction du bug si plusieurs modes de recouvrement ECHEANCIER existent...
	<li> Message "Il faut un article pour les lignes du panier!" quand on change la quantité d'une ligne de facture issue d'une prestation interne Carambole... corrigé...
	<li> Suppression d'une réduction sur une recette issue d'une facture ok...
	<li> L'affichage des totaux en prestation et facture pour ceux qui n'utilisent pas de décimales (salut les xpf/cfp :-) ) se fait sans virgule maintenant.
    </ul>

<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> WebService WSPrestation: ajout d'une méthode pour déclore une prestation close... (v2.0.1 du ws)
	<li> Onglet Recettes: filtre par le type de recette plus rapide... beaucoup plus... :-)
	<li> Lors des impressions, ne jette plus d'erreur si un pdf précédent est encore ouvert...
	<li> Lors de la création d'un client, l'utilisateur qui le crée est renseigné (utile dans Annuaire.app entre autre pour visualiser le fournisseur client)
	<li> Une sécurité pour éviter les doublons dans les numéros de facture (cas rare mais déj‡ survenu).
    </ul>

<h4>Changements :</h4>
    <ul>
	<li> Ne filtre plus sur les actions lolf en dépense en fonction du budget de gestion voté si on a la fonction DEAUTACT
	<li> Si aucune action lolf dépense trouvée en filtrant par ligne budgétaire/type de crédit, on affiche toutes les actions lolf sans filtrer.
	<li> Timezone était bloqué par défaut ‡ GMT, maintenant utilise le timezone par défaut du serveur (tz local)
	<li> (DT-Cocktail #316) Titre de fenÍtre de sélection des clients internes changé ("Clients internes" maintenant ‡ la place de "Fournisseurs internes")
	<li> On peut continuer ‡ gérer les prestations sur un exercice restreint si on a le droit de facturer en période restreinte.
    </ul>

<hr size=1>

<h2>v1.1.1 (21/06/2007)</h2>
<h3>BD: v1.1.1</h3>
<h4>Corrections :</h4>
    <ul>
	<li> Pas de création de recette avec le mode de recouvrement Echeancier !
	<li> Pas de perte d'échéancier quand on modifie une recette issue d'une facture avec échéancier... ouf!
	<li> Choix d'un client existant en tant qu'individu ou personne morale mais qui n'existait pas en fournisseur typé client: n'affectait pas le nouveau fournisseur client dans le groupe des fournisseurs valides externes... corrigé !
	<li> Calcul auto du ht depuis le ttc: il y avait un petit probléme d'arrondi... corrigé !
	<li> Un tout petit bug: si on saisissait un numéro supérieur de catalogue/prestation/facture ou recette ‡ 999 en haut ‡ gauche (barre de recherche), entrée, ligne sélectionnée, on clique ailleurs et paf! la liste compléte revenait... corrigé...
    </ul>

<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> (DT-Cocktail #131) Possibilité de créer une prestation interne (et/ou facture interne) depuis une commande Carambole :-) (menu Outils)
	<li> Possibilité d'associer un contrat de formation professionnelle ‡ une prestation (et de le créer "‡ la volée" si besoin).
		<ul>
		<li> A l'étape "Prestation", vous pouvez créer ce contrat "en un clic" via le bouton [+] de la fenÍtre de choix d'une convention, puis en répondant "Oui" ‡ la question posée pour lancer la création (contrat exploitable ensuite dans Coconut). Vous pouvez aussi répondre "Non" pour rechercher n'importe quelle contrat/convention de formation créé antérieurement via Pie ou Coconut. Important: avant de créer un contrat assurez-vous qu'il n'existe pas déj‡ (il faudra passer par Coconut pour supprimer un contrat en double) !
		<li> Une fois la convention créée (ou bien recherchée, trouvée puis sélectionnée), vous pouvez l'associer ‡ la prestation.
		<li> Pour conserver l'éventuelle convention associée ‡ la prestation "en phase" avec cette derniére (en terme de montant, d'identité du client par exemple), ‡ chaque fois que vous modifiez la prestation, il vous sera demandé si vous souhaitez mettre ‡ jour en conséquence la convention associée ‡ cette prestation. Refusez cette mise ‡ jour uniquement si vous Ítes certain(e) de n'avoir rien modifié dans la prestation. NB: cette mise ‡ jour vous sera demandée également dans la fenÍtre de saisie de la facture car en cas de multi-financement (multi-facture) par exemple, chaque "payeur" de facture est ajouté automatiquement comme partenaire ‡ hauteur de sa participation financiére.
		<li> Le bouton affublé d'une loupe, présent dans la fenÍtre de sélection d'une convention et dans les fenÍtres de saisie des prestations (et des factures), affiche une fenÍtre de consultation de la convention.
		<li> A l'étape "Facture", vous pouvez imprimer le contrat de formation professionnelle associé en ouvrant la fenÍtre de consultation de cette convention (bouton loupe) puis en utilisant le bouton "Imprimer" dans le coin supérieur droit de cette fenÍtre. L'impression du contrat n'est possible qu'‡ l'étape "Facture" car le montant payé par le client et figurant sur le document est celui de la facture (qui n'est pas forcément égal ‡ celui de la prestation).
    	</ul>
    </ul>

<h4>Changements :</h4>
    <ul>
	<li> (DT-Cocktail #289) On peut désormais changer les montants d'une recette non interne (pas une prestation interne) issue d'une facture (en plus ou en moins, pas de contrÙle)
	<li> Quelques changements dans le WebService WSPrestation...
    </ul>

<hr size=1>

<h2>v1.1.0 (08/06/2007)</h2>
<h3>BD: v1.1.0</h3>
<h4>Corrections :</h4>
    <ul>
	<li> Création / modification d'une facture: lors de la saisie d'une remise globale, le recalcul des totaux était foireux... corrigé... merci ‡ Bertrand G. (P5) pour la decouverte du bug !
	<li> Sélection d'un code analytique, il pouvait y avoir plusieurs fois les mÍmes codes répétés... corrigé...
	<li> Le tri dans les listes sur les colonnes avec des nombres ne fonctionnait pas (il triait sur l'alpha)... corrigé...
	<li> La suppression (= archivage) d'une prestation ne fonctionnait plus... corrigé...
	<li> Création d'une réduction: ne prenait pas en compte le nb de piéces... corrigé...
    </ul>

<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> Liste des factures plus rapide... (dev only: ajout des champs totaux dans prestation et facture_papier)
	<li> Menu Outils --> Dupliquer la facture pour un nouveau client... permet de dupliquer la facture sélectionnée (onglet Factures) pour les factures non internes...
	<li> Ajout de l'impression de réduction de titre provisoire... merci Chantal pour le report ! :-)
	<li> Liste des prestations: on visualise les prestations dont on est le contact ou qui sont sur un prestataire dont on est secrétariat...
	<li> (DT-Cocktail #270) Facture papier: ajout de la convention recette (s'il y a) dans les informations internes
	<li> Quelques changements et ajouts dans le WebService Prestation...
    </ul>

<h4>Changements :</h4>
    <ul>
	<li> (DT-Cocktail #283) Sélection d'un client: parmi la liste des personnes morales ou physiques valides maintenant (tem_valide='O' dans individu_ulr ou structure_ulr)
    </ul>

<hr size=1>

<h2>v1.0.6 (23/05/2007)</h2>
<h3>BD: v1.0.6</h3>
<h4>Corrections :</h4>
    <ul>
	<li> L'accés aux échéanciers pouvait planter, corrigé...
	<li> La création de client sans login/password plantait... corrigé...
	<li> Autorise la création d'une recette sans contrepartie (pour les utilisateurs qui n'ont pas le droit de saisir la contrepartie, droit dans jefyAdmin)
	<li> (DT-Cocktail #260) L'impression d'un devis de prestation interne pouvait imprimer parfois le type de prestation: prestation externe... corrigé normalement, ‡ vérifier ‡ l'utilisation...
	<li> La création de commande dans Carambole avec enregistrement des articles pour un fournisseur qui n'avait encore jamais enregistré d'article plantait... corrigé... vi vi, une correction d'un bug carambole dans Pie... c'était ma faute :-)
    </ul>

<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> Liste des recettes: le numéro du titre apparait (seconde colonne) pour les recettes titrées of course...
	<li> (DT-Cocktail #217) Lors de la création d'un client avec un compte externe, on peut lui envoyer un mail avec ses informations de connexion (si email, login et password saisis)
	<li> Lors de la création d'un client avec un compte externe, possibilité de crypter le mot de passe, suivant paramétre 'CRYPT_PASSWORD_COMPTE_CLIENT' dans la table jefy_recette.parametres (ou .config)
	<li> (DT-Cocktail #245) Impression des devis et facture: adresse du client: le pays apparait (s'il est différent du pays par défaut paramétré)
	<li> (DT-Cocktail #246) Saisie d'une ligne de facture (sans article pré-existant), 2 coches exclusives permettent maintenant de calculer automatiquement ou non le ht ou le ttc (pour saisie du ht --> ttc ou saisie du ttc --> ht)
	<li> Idem pour la saisie d'un article dans un catalogue
	<li> Idem pour la saisie d'une recette --> ajout d'un pop-up tva et coches pour calcul auto (taux tva non sauvegardé)
	<li> (DT-Cocktail #247) On enregistre quel utilisateur a validé une facture (cÙté client et cÙté prestataire), info visible en tooltip sur les boutons de validation  / dévalidation de la facture (si validée, indique par qui et quand)
	<li> (DT-Cocktail #134) Finalisation/ajout de méthodes dans le WebService WSPrestation
    </ul>

<h4>Changements :</h4>
    <ul>
	<li> Liste des factures: le bouton 'échéancier' est actif mÍme pour les factures recettées, mais uniquement en consultation de l'échéancier existant dans ce cas (pour accés aux impression également)
    </ul>

<hr size=1>

<h2>v1.0.5 (16/05/2007)</h2>
<h3>BD: v1.0.5</h3>
<h4>Corrections :</h4>
    <ul>
	<li> Ne montre que les modes de paiement et modes de recouvrement valides
    </ul>

<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> Arrivée des réductions de recette: onglet Recettes, sur une recette titrée/visée, le bouton supprimer devient le bouton réduire (R) et permet d'enregistrer une réduction sur la recette sélectionnée. Attention: pas de modification de réduction possible, si besoin suppression puis création...
	<li> Les mots de passe lors de la création de client sont cryptés
	<li> Devis et facture papier (impression): les numéros de tél et fax pro apparaissent (réinstaller les reports Six PieDevis et PieFacture)
    </ul>

<h4>Changements :</h4>
    <ul>
	<li> Impression du devis: indique formation continue en type de prestation pour les devis de fc
	<li> Changement des libellés ‡ caractére humoristique par des libellés plus austéres...
    </ul>

<hr size=1>

<h2>v1.0.4 (13/04/2007)</h2>
<h3>BD: v1.0.4</h3>
<h4>Corrections :</h4>
    <ul>
		<li> Correction du pb des modes de recouvrement dans les prestations et dans les factures, la liste pouvait Ítre vide, corrigé...
		<li> Détermination du bon ges_code contrepartie lors des prestations internes
		<li> Impressions de devis et factures: les lignes sont dans l'ordre de création
    </ul>
<h4>Améliorations/Ajouts :</h4>
    <ul>
		<li> Liste des recettes (titres): ajout de la recherche sur le montant
		<li> Ajout des mails html format BIUM: catalogue_prestation_web, clé FORMAT_MAIL, valeur BIUM (bientÙt généralisé)
		<li> Ajout des mails en anglais: catalogue_prestation_web, clé LANGUE, valeur ANGLAIS ==> mail en anglais et facture.pdf en anglais (devis ‡ venir)
		<li> Réapparition du WebService des prestations (nom: WSPrestation)... voir dans Pie.woa/Contents/DeployExtras, le PieWSConsumer.jar, fichier A_LIRE.txt, tout est dedans (classe cliente d'accés, source, javadoc et liste des changements)
    </ul>

<h4>Changements :</h4>
    <ul>
		<li> Pour le développeur: passage ‡ la compil. full WOLips/Ant, passage ‡ svn, passage codage iso-8859... nickel! :-)
		<li> Développeur only: api prestation complétée en préparation de l'utilisation par Carambole entre autre
		<li> Développeur only: prém‚chage pour l'ajout des réductions de titre... presque fini, bientÙt (prochaine version)...
    </ul>

<hr size=1>

<h2>v1.0.3 (09/03/2007)</h2>
<h3>BD: v1.0.3</h3>
<h4>Corrections :</h4>
    <ul>
		<li> Sélection des codes analytiques correcte maintenant... normalement...
		<li> Sélection des actions lolf ok pour les budgets saisis niveau cr...
		<li> Sélection des conventions en dépense (PI) (et recette) ok...
		<li> Lors de la modification d'un truc, il était désélectionné dans la liste quand on validait si la liste était triée par une colonne... corrigé...
		<li> Création/modification de facture: ne vide plus le plan comptable contrepartie lors de la sélection d'un mode de recouvrement
		<li> Correction du bug (Server Exception: null...) d'impression d'une recette (titre provisoire)
    </ul>
<h4>Améliorations/Ajouts :</h4>
    <ul>
		<li> Sélection multiple autorisée pour sélectionner des articles ‡ ajouter ‡ la prestation ou ‡ la facture
		<li> Pour les déployeurs: on se passe du SAUT_ID ULOGIN...
		<li> Facture papier : ajout du numéro du titre de recette + bordereau-composante (et numéro de mandat + bordereau si interne)
		<li> Facture papier en anglais... si on veut... un nouveau report Six ‡ installer... ce n'est pas obligatoire, s'il n'y est pas on aura toujours l'impression de la facture en franÁais comme avant...
		<li> Envoi de devis et facture par mail depuis l'appli...
		<li> Création de facture: renseigne les infos budgétaires prestataires par défaut enregistrées dans le catalogue lors de l'ajout d'un article d'un catalogue
    </ul>

<h4>Changements :</h4>
    <ul>
		<li> Modes de recouvrement: Prestation Interne disparait de la liste pour les créations de prestation / facture / recette quand ce n'est pas de la prestation interne (parfaitement inutile dans ce cas)
    </ul>

<hr size=1>

<h2>v1.0.2 (22/02/2007)</h2>
<h3>BD: v1.0.2</h3>
<h4>Corrections :</h4>
    <ul>
		<li> Le pb d'arrondi des quantités dans la facture pour certains cas tordus est corrigé
		<li> L'ajout de client plantait chez certains (rien ne se passait en appuyant sur le bouton + de la fenÍtre de sélection d'un client)... corrigé...
		<li> Le pb des taux de prorata qui n'apparaissaient pas parfois aprés la sélection d'une ligne budgétaire devrait être corrigé... peut-être...
		<li> Quand on triait une liste (catalogues/articles/prestations/factures), les couleurs pouvaient Ítre incorrectes... corrigé...
		<li> Correction du pb éventuel lors de la sélection d'un contact client
		<li> Lors de la saisie des infos budgétaires client (dépense) sur une prestation interne, ne tenait pas compte du paramétre CTRL_ORGAN_DEST de jefy_depense.parametre... corrigé...
    </ul>
<h4>Améliorations/Ajouts :</h4>
    <ul>
		<li> L'interface sous Mac OS est propre maintenant...
		<li> Réapparition des commentaires (client et prestataire) sur le devis et la facture (boutons en haut ‡ droite en création/modification de devis/facture)
		<li> Liste des recettes, popup Type, seuls les 3 types de recette qui nous intéressent apparaissent
		<li> Ajout d'une fonction (jefyAdmin) qui permet de donner le droit de voir toutes les recettes/titres (au lieu de seulement celles que l'on a créées)
		<li> Possibilité de créer un rib avec la création du client et/ou de créer un rib ‡ un client existant
		<li> Ajout de 2 paramétres AUTORISE_CREATION_CLIENT et AUTORISE_CREATION_RIB (OUI/NON) pour faire ce que ça dit...
		<li> Des traitements "spéciaux" pour le type de public Formation Continue font leur apparition: influences sur l'échéancier et sur les reports des devis et factures (réinstaller les 2 reports Six)
		<li> En ajout de catalogue/article/prestation/facture/recette, le nouvel enregistrement créé est sélectionné de suite dans la liste
		<li> Recettes: ajout de l'impression de titre provisoire pour les recettes non titrées (en Jasper, pas de maquette ‡ installer dans Six)
		<li> Prestations: lors de la sélection d'une prestation facturée dans la liste, la facture correspondante est sélectionnée dans l'onglet Factures (idem lors de la génération de facture ‡ partir de la prestation --> la facture générée est sélectionnée dans l'onglet Factures)
		<li> Factures: idem ci-dessus, sélection d'une facture recettée (ou validation prestataire pour générer la recette) --> recette sélectionnée dans l'onglet Recettes
		<li> Lors de la sélection d'un "client", on peut choisir l'adresse que l'on veut utiliser s'il en a plusieurs
		<li> La sélection des codes analytiques montre tous les codes analytiques (arbre) associés ‡ la ligne budgétaire (avant ne montrait que les codes analytiques "racines" pour la ligne budg.)
		<li> Ajout des échéanciers sur les factures, pour les factures avec mode de recouvrement Echeancier uniquement of course
		<li> Affichage du disponible dans les informations budgétaires client de la prestation
		<li> On ne met plus de planco tva par défaut s'il n'y a pas de tva (évitera les répartitions tva ‡ 0)
		<li> Ajout du type de facture PRO FORMA = facture imprimée avec titre FACTURE PRO FORMA N∞xxx, et non validable (recettable) tant que PRO FORMA...
		<li> Un début de commencement d'ersatz de documentation en ligne est disponible dans le menu Aide... mini aide en ligne plutÙt... appelé ‡ évoluer, heureusement...
    </ul>

<h4>Changements :</h4>
    <ul>
		<li> Lorsque l'on supprime une facture papier, si c'était la derniére créée, son numéro est récupéré pour Ítre réutilisé (c‡d génération facture papier No 12, suppression de la facture, regénération ==> paf! No 12 encore... avant donnait No 13... plus logique comme Áa non? j'suis clair?)
		<li> Création de facture : ajout d'article existant, liste des catalogues permet de voir tous les catalogues si la fonction correspondante est active pour l'utilisateur (comme dans le choix d'un catalogue pour une prestation)
		<li> Liste des factures, on ne voit que celles non recettées par défaut (donc ‡ traiter), on peut afficher aussi celles déj‡ recettées (case ‡ cocher)... le filtre sur les dates viendra plus tard...
		<li> Liste des recettes, on ne voit que celles non titrées par défaut (donc ‡ traiter éventuellement), on peut afficher aussi celles déj‡ titrées (case ‡ cocher)... le filtre sur les dates viendra plus tard...
		<li> Sélection d'une convention: se fait en fonction de la ligne budgétaire et du type de crédit choisi (pour ne montrer que les conventions qui supportent cette ligne et ce type de crédit)
		<li> Lors de la création d'une recette, le compte de classe 4 (contrepartie) n'est plus pré-rempli ‡ partir du mode de recouvrement (pco_num_visa), il cherche directement ‡ partir de planco_visa
		<li> Lors de la génération d'une dépense/recette depuis une prestation interne (validation prestataire de la facture), le numéro de dépense généré était 'PI xxx' (xxx étant le numéro de recette), on change pour 'PI-FACT NO xxx' (xxx devenant le numéro de facture)... j'suis clair l‡ ? :-)
		<li> Reports Devis et Facture: le numéro Siret est repris en priorité de la structure fournisseur du devis/facture (fournis interne) s'il en a un (de siret), sinon celui de l'établissement est utilisé (jefy_admin.parametre)
		<li> Autorise la création de prestation interne d'un fournisseur interne pour lui-mÍme (fournisseur interne ‡ la fois prestataire et client de la prestation interne)
		<li> On peut saisir les recettes au mÍme niveau minimum que le niveau de saisie du budget (si saisie budget ub, recettes niveau ub ou cr ou sous-cr, si budget niveau cr, recettes niveau cr ou sous-cr)
    </ul>

<hr size=1>

<h2>v1.0.1 (23/01/2007)</h2>
<h3>BD: v1.0.1</h3>
<h4>Corrections :</h4>
    <ul>
	<li> facture: la date limite de paiement se fixait ‡ la date de création de la facture, on ne pouvait pas la changer... corrigé...
	<li> correction de l'affichage de la colonne total ttc d'une ligne facture (écran d'ajout/modif de facture papier) sans décimales (si configuré sans decimal of course)
	<li> sélection des destinations valides uniquement (avant ne filtrait pas sur l'état)
	<li> lorsqu'on enchainait 2 créations de prestations internes, la seconde n'avait pas de mode de recouvrement initialisé... en fait 1 fois sur 2 c'était ok, l'autre fois non, en boucle... me demandez pas pourquoi, mais c'est corrigé
	<li> correction du pb de numérotation des prestations ou factures qui pouvaient dans certains cas trés précis merdouiller (repartir ‡ 1)
    </ul>
<h4>Améliorations/Ajouts :</h4>
    <ul>
	<li> facturation d'un devis ‡ N clients pour un montant (plutot qu'une quantite) : écran d'ajout/modif. de facture, possibilité de modifier le total ttc pour une ligne de facture (en plus de la quantité) --> ajuste en fait la quantité et recalcule le total si besoin
	<li> des infos supplémentaires liées aux articles de type formation continue (type public) pour plus tard...
	<li> ajout de la création de client dans l'écran de sélection client --> permet aussi de choisir parmi les individus ou structures (plus de contrainte qu'il soit fournisseur)...
    </ul>
<h4>Changements :</h4>

<hr size=1>

<h2>v1.0.0 (08/01/2007)</h2>
<h3>BD: v1.0.0</h3>
<h4>Version initiale du nouveau Pie (2007 et +)</h4>

<hr size=1>

</body>
</html>
